<%
    if(typeof item === 'undefined') item = {name: "", organization: "", location: ""};
%>

<%- include('header')%>
        <div class="container">
            <form method="post">
                <div class="input-group bg-secondary" style="margin-top: 1em; margin-bottom: 0.5em">
                    <div class="input-group-prepend">
                        <input id="orgInput" style="display: none" value="<%= item.organization %>" name="organization">
                        <button
                                id="orgButton"
                                class="btn btn-outline-light bg-dark dropdown-toggle text-white"
                                type="button"
                                data-toggle="dropdown"
                                aria-haspopup="true"
                                aria-expanded="false">
                            <% if (item.organization === ""){ %>
                                Szervezet
                            <%} else { %>
                                <%=item.organization%>
                            <%} %>
                        </button>
                        <div class="dropdown-menu">
                            <% organizations.forEach((organization)=>{%>
                                <a class="dropdown-item" onclick="changeOrg(this.innerText)"><%= organization%></a>
                            <%})%>
                            <div role="separator" class="dropdown-divider"></div>
                            <a class="dropdown-item" onclick="changeOrg(this.innerText)" >Egyéb</a>
                        </div>
                    </div>
                    <input type="text" name="name" class="form-control text-white bg-secondary" aria-label="Text input with dropdown button" placeholder="Név" value="<%= item.name%>">
                </div>
                <div style="margin-top: 1em;">
                    <input type="text" name="location" class="form-control text-white bg-secondary" placeholder="Helye" value="<%= item.location%>">
                </div>
                <div style="margin-top: 1em;">
                    <button type="submit" class="btn btn-primary" style="margin-right: 0.5em;">Mentés</button><button type="reset" class="btn btn-danger">Visszaállítás</button>
                </div>

            </form>
            <script>
                const button = document.getElementById("orgButton");
                const input = document.getElementById("orgInput");
                function changeOrg(newOrg) {
                    button.innerText = newOrg;
                    input.value = newOrg;
                }
            </script>
        </div>
<%- include('footer')%>